import java.awt.Component;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;
import java.awt.event.MouseWheelEvent;
import java.awt.event.MouseWheelListener;

public class Class242_Sub1 extends Class242 implements MouseListener, MouseMotionListener, MouseWheelListener {

   int anInt8349;
   static final int anInt8350 = 2;
   static final int anInt8351 = 4;
   Component aComponent8352;
   int anInt8353;
   int anInt8354;
   Class456 aClass456_8355 = new Class456();
   int anInt8356;
   static final int anInt8357 = 1;
   int anInt8358;
   Class456 aClass456_8359 = new Class456();
   int anInt8360;
   boolean aBool8361;


   public Class225_Sub8 method4357() {
      return (Class225_Sub8)this.aClass456_8355.method7649((byte)8);
   }

   public synchronized void mouseDragged(MouseEvent var1) {
      this.method13303(var1.getX(), var1.getY(), -70414972);
   }

   void method13301(int var1) {
      if(null != this.aComponent8352) {
         this.aComponent8352.removeMouseWheelListener(this);
         this.aComponent8352.removeMouseMotionListener(this);
         this.aComponent8352.removeMouseListener(this);
         this.aComponent8352 = null;
         this.anInt8354 = 0;
         this.anInt8353 = 0;
         this.anInt8360 = 0;
         this.anInt8349 = 0;
         this.anInt8358 = 0;
         this.anInt8356 = 0;
         this.aClass456_8355 = null;
         this.aClass456_8359 = null;
      }
   }

   void method13302(int var1, int var2, int var3, int var4, int var5) {
      Class225_Sub8_Sub1 var6 = Class515_Sub1_Sub4_Sub4_Sub2.method16851(var1, var2, var3, Class339.method6240(1978784976), var4, -2050771578);
      this.aClass456_8359.method7712(var6, (byte)112);
   }

   void method13303(int var1, int var2, int var3) {
      this.anInt8356 = 1751425965 * var1;
      this.anInt8358 = var2 * 505731225;
      if(this.aBool8361) {
         this.method13302(-1, var1, var2, 0, 1465605512);
      }

   }

   public Class225_Sub8 method4338(int var1) {
      return (Class225_Sub8)this.aClass456_8355.method7649((byte)8);
   }

   public boolean method4350() {
      return (1991802953 * this.anInt8354 & 2) != 0;
   }

   public boolean method4342(int var1) {
      boolean var10000;
      if((this.anInt8354 * 1991802953 & 1) != 0) {
         if(var1 == 65536) {
            ;
         }

         var10000 = true;
      } else {
         var10000 = false;
      }

      return var10000;
   }

   public boolean method4333(byte var1) {
      boolean var10000;
      if((1991802953 * this.anInt8354 & 2) != 0) {
         if(var1 != 1) {
            ;
         }

         var10000 = true;
      } else {
         var10000 = false;
      }

      return var10000;
   }

   public boolean method4334(int var1) {
      boolean var10000;
      if((1991802953 * this.anInt8354 & 4) != 0) {
         if(var1 <= -937710807) {
            ;
         }

         var10000 = true;
      } else {
         var10000 = false;
      }

      return var10000;
   }

   public synchronized void method4359() {
      this.anInt8360 = this.anInt8356 * -441014121;
      this.anInt8353 = this.anInt8358 * 1048936271;
      this.anInt8354 = 1377097951 * this.anInt8349;
      Class456 var1 = this.aClass456_8355;
      this.aClass456_8355 = this.aClass456_8359;
      this.aClass456_8359 = var1;
      this.aClass456_8359.method7627((byte)16);
   }

   public synchronized void method4331(int var1) {
      this.anInt8360 = this.anInt8356 * -441014121;
      this.anInt8353 = this.anInt8358 * 1048936271;
      this.anInt8354 = 1377097951 * this.anInt8349;
      Class456 var2 = this.aClass456_8355;
      this.aClass456_8355 = this.aClass456_8359;
      this.aClass456_8359 = var2;
      this.aClass456_8359.method7627((byte)16);
   }

   void method13304(int var1, int var2) {
      this.anInt8356 = 1751425965 * var1;
      this.anInt8358 = var2 * 505731225;
      if(this.aBool8361) {
         this.method13302(-1, var1, var2, 0, 2025575313);
      }

   }

   public int method4336(int var1) {
      return this.anInt8360 * 1919131811;
   }

   public synchronized void mouseEntered(MouseEvent var1) {
      this.method13303(var1.getX(), var1.getY(), -537767111);
   }

   public synchronized void mouseExited(MouseEvent var1) {
      this.method13303(var1.getX(), var1.getY(), -828643843);
   }

   int method13305(MouseEvent var1, int var2) {
      return var1.getButton() == 1?(var1.isMetaDown()?4:1):(var1.getButton() == 2?2:(var1.getButton() == 3?4:0));
   }

   public int method4351(int var1) {
      return this.anInt8353 * -987605113;
   }

   public int method4363() {
      return this.anInt8360 * 1919131811;
   }

   public boolean method4346() {
      return (1991802953 * this.anInt8354 & 4) != 0;
   }

   void method13306(Component var1) {
      this.method13301(2141773425);
      this.aComponent8352 = var1;
      this.aComponent8352.addMouseListener(this);
      this.aComponent8352.addMouseMotionListener(this);
      this.aComponent8352.addMouseWheelListener(this);
   }

   public synchronized void mouseWheelMoved(MouseWheelEvent var1) {
      int var2 = var1.getX();
      int var3 = var1.getY();
      int var4 = var1.getWheelRotation();
      this.method13302(6, var2, var3, var4, 2001001923);
      var1.consume();
   }

   public boolean method4344() {
      return (this.anInt8354 * 1991802953 & 1) != 0;
   }

   public synchronized void mouseClicked(MouseEvent var1) {
      if(var1.isPopupTrigger()) {
         var1.consume();
      }

   }

   public boolean method4353() {
      return (this.anInt8354 * 1991802953 & 1) != 0;
   }

   public synchronized void mouseReleased(MouseEvent var1) {
      int var2 = this.method13305(var1, 1884436144);
      if((2125027223 * this.anInt8349 & var2) == 0) {
         var2 = 2125027223 * this.anInt8349;
      }

      if((var2 & 1) != 0) {
         this.method13302(3, var1.getX(), var1.getY(), var1.getClickCount(), -919829414);
      }

      if(0 != (var2 & 4)) {
         this.method13302(5, var1.getX(), var1.getY(), var1.getClickCount(), 282543948);
      }

      if((var2 & 2) != 0) {
         this.method13302(4, var1.getX(), var1.getY(), var1.getClickCount(), -822701557);
      }

      this.anInt8349 = -811689945 * (this.anInt8349 * 2125027223 & ~var2);
      if(var1.isPopupTrigger()) {
         var1.consume();
      }

   }

   public boolean method4343() {
      return (1991802953 * this.anInt8354 & 4) != 0;
   }

   public int method4347() {
      return this.anInt8353 * -987605113;
   }

   public int method4335() {
      return this.anInt8360 * 1919131811;
   }

   public int method4330() {
      return this.anInt8360 * 1919131811;
   }

   public int method4352() {
      return this.anInt8360 * 1919131811;
   }

   public boolean method4332() {
      return (this.anInt8354 * 1991802953 & 1) != 0;
   }

   public int method4354() {
      return this.anInt8353 * -987605113;
   }

   void method13307(Component var1, int var2) {
      this.method13301(1950556414);
      this.aComponent8352 = var1;
      this.aComponent8352.addMouseListener(this);
      this.aComponent8352.addMouseMotionListener(this);
      this.aComponent8352.addMouseWheelListener(this);
   }

   public Class225_Sub8 method4356() {
      return (Class225_Sub8)this.aClass456_8355.method7649((byte)8);
   }

   public synchronized void mouseMoved(MouseEvent var1) {
      this.method13303(var1.getX(), var1.getY(), -1144820965);
   }

   public void method4358() {
      this.method13301(2046000794);
   }

   void method13308(int var1, int var2) {
      this.anInt8356 = 1751425965 * var1;
      this.anInt8358 = var2 * 505731225;
      if(this.aBool8361) {
         this.method13302(-1, var1, var2, 0, -750316493);
      }

   }

   void method13309(Component var1) {
      this.method13301(1789740803);
      this.aComponent8352 = var1;
      this.aComponent8352.addMouseListener(this);
      this.aComponent8352.addMouseMotionListener(this);
      this.aComponent8352.addMouseWheelListener(this);
   }

   void method13310(int var1, int var2) {
      this.anInt8356 = 1751425965 * var1;
      this.anInt8358 = var2 * 505731225;
      if(this.aBool8361) {
         this.method13302(-1, var1, var2, 0, -2146081401);
      }

   }

   Class242_Sub1(Component var1, boolean var2) {
      this.method13307(var1, -860042266);
      this.aBool8361 = var2;
   }

   public boolean method4345() {
      return (this.anInt8354 * 1991802953 & 1) != 0;
   }

   public void method4340(int var1) {
      this.method13301(1728887962);
   }

   public synchronized void method4360() {
      this.anInt8360 = this.anInt8356 * -441014121;
      this.anInt8353 = this.anInt8358 * 1048936271;
      this.anInt8354 = 1377097951 * this.anInt8349;
      Class456 var1 = this.aClass456_8355;
      this.aClass456_8355 = this.aClass456_8359;
      this.aClass456_8359 = var1;
      this.aClass456_8359.method7627((byte)16);
   }

   public boolean method4361() {
      return (1991802953 * this.anInt8354 & 2) != 0;
   }

   public boolean method4362() {
      return (1991802953 * this.anInt8354 & 2) != 0;
   }

   public synchronized void mousePressed(MouseEvent var1) {
      int var2 = this.method13305(var1, 1884436144);
      if(1 == var2) {
         this.method13302(0, var1.getX(), var1.getY(), var1.getClickCount(), 1306998917);
      } else if(4 == var2) {
         this.method13302(2, var1.getX(), var1.getY(), var1.getClickCount(), 836888170);
      } else if(var2 == 2) {
         this.method13302(1, var1.getX(), var1.getY(), var1.getClickCount(), -1028620122);
      }

      this.anInt8349 = (2125027223 * this.anInt8349 | var2) * -811689945;
      if(var1.isPopupTrigger()) {
         var1.consume();
      }

   }

   public boolean method4337() {
      return (1991802953 * this.anInt8354 & 2) != 0;
   }

   int method13311(MouseEvent var1) {
      return var1.getButton() == 1?(var1.isMetaDown()?4:1):(var1.getButton() == 2?2:(var1.getButton() == 3?4:0));
   }

   int method13312(MouseEvent var1) {
      return var1.getButton() == 1?(var1.isMetaDown()?4:1):(var1.getButton() == 2?2:(var1.getButton() == 3?4:0));
   }

   int method13313(MouseEvent var1) {
      return var1.getButton() == 1?(var1.isMetaDown()?4:1):(var1.getButton() == 2?2:(var1.getButton() == 3?4:0));
   }

   int method13314(MouseEvent var1) {
      return var1.getButton() == 1?(var1.isMetaDown()?4:1):(var1.getButton() == 2?2:(var1.getButton() == 3?4:0));
   }
}
